#452 closed defect (fixed)

USE_INIT_FINI obsolete?

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: 4.6
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

Several issues with USE_INIT_FINI:

  1. Many BSPs append -DUSE_INIT_FINI to CPPFLAGS in their

c/src/lib/libbsp/<CPU>/<BSP>/startup/Makefile.am

A grep through the sources shows that not a single file inside of RTEMS applies USE_INIT_FINI.

=> Appending -DUSE_INIT_FINI in startup/Makefile.ams is meaningless

  1. Many startup/Makefile.ams contain this comment:

# USE_INIT_FINI tells main.c what C++ help we need.

IMO, this comment is wrong, because
a) USE_INIT_FINI is not used at all.
b) The relevant files would be
cpukit/score/src/threadhandler.c
and
c/src/lib/libbsp/shared/bootcard.c
which apply USE_INIT_FINI (Note the underscores).

  1. The genmongoosev's and jmr3904's bsp_specs append -DUSE_INIT_FINI to their *cpp-specs, all other BSPs

rely on USE_INIT_FINI being provided by gcc.

Release:
RTEMS-4.6 + RTEMS-CVS-trunk

Change History (4)

comment:1 Changed on Aug 11, 2003 at 12:31:04 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Aug 11, 2003 at 3:11:01 PM by Ralf Corsepius

Status: waitingsuspended

comment:3 Changed on Aug 14, 2003 at 7:13:48 PM by Joel Sherrill

Status: suspendedwaiting

comment:4 Changed on Aug 21, 2003 at 4:12:47 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch alaready on trunk. I applied to the 4.6 branch.

Note: See TracTickets for help on using tickets.